This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980845 - RESTWorkItemHandler supports only hard coded data in URL.
RESTWorkItemHandler supports only hard coded data in URL.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 06:47 EDT by Marek Baluch
Modified: 2014-08-06 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-03 06:47:15 EDT
Currently I see no way to pass in data into the RESTWorkItemHandler for POST or other methods then using the URL of the REST service.

Right now there's not way to invoke XML or JSON endpoints.
Comment 2 Maciej Swiderski 2013-08-26 11:14:27 EDT
Added possibility to specify data that shall be send for POST and PUT methods. It shall be given as Content work item parameter. In addition to that ContentType should be given to set proper Content-type header while executing the HTTP method.

ContentType work item parameter must be valid http content type e.g. application/xml.

Commit
https://github.com/droolsjbpm/jbpm/commit/452ef97e01924ab07f03363f296a211b9f039d4d
Comment 3 Marek Baluch 2013-09-19 09:10:10 EDT
Verified on ER3.

Note You need to log in before you can comment on or make changes to this bug.